SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Functions
FileOperations.h File Reference
`#include "NativeFeatureIncludes.h"`
`#include "Export.h"`

Go to the source code of this file.

## Functions

bool RAK_DLL_EXPORT | WriteFileWithDirectories (const char *path, char *data, unsigned dataLength)
bool RAK_DLL_EXPORT | IsSlash (unsigned char c)
void RAK_DLL_EXPORT | AddSlash (char *input)
void RAK_DLL_EXPORT | QuoteIfSpaces (char *str)
bool RAK_DLL_EXPORT | DirectoryExists (const char *directory)
unsigned int RAK_DLL_EXPORT | GetFileLength (const char *path)

## Function Documentation

void RAK_DLL_EXPORT AddSlash | ( | char * | input | ) |

bool RAK_DLL_EXPORT DirectoryExists | ( | const char * | directory | ) |

unsigned int RAK_DLL_EXPORT GetFileLength | ( | const char * | path | ) |

bool RAK_DLL_EXPORT IsSlash | ( | unsigned char | c | ) |

void RAK_DLL_EXPORT QuoteIfSpaces | ( | char * | str | ) |

bool RAK_DLL_EXPORT WriteFileWithDirectories | ( | const char * | path,
|  | char * | data,
|  | unsigned | dataLength
| ) |  |